/*===============================
        HERO V2
================================*/

.agency-hero{

    width:100%;

    background:#fff;

    padding:170px 0 120px;

}

.agency-wrapper{

    width:90%;

    max-width:1550px;

    margin:auto;

    display:grid;

    grid-template-columns:1.45fr .75fr;

    gap:110px;

    align-items:center;

}

/* Badge */

.agency-badge{

    display:inline-flex;

    align-items:center;

    gap:12px;

    padding:12px 22px;

    background:#fff;

    border-radius:50px;

    box-shadow:0 10px 30px rgba(0,0,0,.08);

    margin-bottom:40px;

    font-size:15px;

    font-weight:500;

}

.agency-dot{

    width:10px;

    height:10px;

    background:#38d430;

    border-radius:50%;

}

/* Heading */

.agency-title{

    font-size:clamp(72px,6vw,98px);

    line-height:.95;

    font-weight:800;

    color:#111;

    letter-spacing:-3px;

}

.agency-title span{

    background:linear-gradient(90deg,#ff8d4b,#ff4d9b,#5a3ef3);

    -webkit-background-clip:text;

    -webkit-text-fill-color:transparent;

}

/* Right */

.agency-desc{

    font-size:31px;

    line-height:1.7;

    color:#202020;

    margin-bottom:50px;

}

/* Buttons */

.agency-buttons{

    display:flex;

    gap:20px;

    margin-top:55px;

}

.agency-btn-dark{

    background:#000;

    color:#fff;

    padding:22px 40px;

    border-radius:12px;

    font-size:20px;

    text-decoration:none;

    display:flex;

    align-items:center;

    gap:12px;

    transition:.3s;

}

.agency-btn-dark:hover{

    transform:translateY(-4px);

}

.agency-btn-light{

    border:1px solid #ddd;

    color:#111;

    padding:22px 40px;

    border-radius:12px;

    font-size:20px;

    text-decoration:none;

    transition:.3s;

}

.agency-btn-light:hover{

    background:#000;

    color:#fff;

}

/* Reviews */

.agency-review{

    display:flex;

    align-items:center;

    gap:20px;

}

.agency-avatars{

    display:flex;

}

.agency-avatars img{

    width:52px;

    height:52px;

    border-radius:50%;

    object-fit:cover;

    border:3px solid #fff;

    margin-left:-14px;

}

.agency-avatars img:first-child{

    margin-left:0;

}

.agency-review-text h4{

    font-size:18px;

    margin-bottom:5px;

    color:#111;

}

.agency-review-text span{

    font-size:16px;

    color:#666;

}

/* Responsive */

@media(max-width:991px){

.agency-wrapper{

    grid-template-columns:1fr;

    gap:60px;

}

.agency-title{

    font-size:58px;

}

.agency-desc{

    font-size:22px;

}

}

@media(max-width:768px){

.agency-hero{

    padding:120px 0 80px;

}

.agency-title{

    font-size:44px;

    letter-spacing:-1px;

}

.agency-buttons{

    flex-direction:column;

}

.agency-btn-dark,

.agency-btn-light{

    justify-content:center;

}

.agency-desc{

    font-size:18px;

}

}

.hero_heading{

    font-family: "Guminert New", Arial, sans-serif;

    font-size: 52.8px;

    font-weight: 700;

    line-height: 1.05;

    letter-spacing: -2px;

    color: #1B1B1B;

    max-width: 730px;

    margin: 0;

}

.hero_heading span{

    background: linear-gradient(
        90deg,
        #ff8d4b,
        #ff4d97,
        #7b3ff2,
        #4f46e5
    );

    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;

}


.agency-side{

    display:flex;

    flex-direction:column;

    justify-content:center;

}

.agency-desc{

    font-family:"Guminert New", Arial, sans-serif;

    font-size:18px;

    font-weight:400;

    line-height:1.55;

    color:#1B1B1B;

    max-width:520px;

    margin:0;

    letter-spacing:-0.2px;

}

.about-content h2{

    font-size:20px;

    font-weight:700;

    line-height:1.5;

    color:#111;

    margin:15px 0 20px;

}

/*==============================
    SERVICES STACK TYPOGRAPHY
==============================*/

.panel-content h2{

    font-family: "Guminert New", Arial, sans-serif;

    font-size:27.2px;

    font-weight:700;

    line-height:1.2;

    letter-spacing:-0.5px;

    color:#111;

    margin-bottom:18px;

}

.panel-content p{

    font-family:"Guminert New", Arial, sans-serif;

    font-size:16px;

    font-weight:400;

    line-height:1.7;

    color:#555;

    max-width:480px;

    margin:0;

}

/*==================================
        STACK CARD SIZE
==================================*/

.service-panel{

    min-height:72vh;     /* आधी 100vh असेल तर कमी कर */

    display:flex;

    align-items:center;

    justify-content:center;

    padding:40px 0;

}

.panel-container{

    width:88%;

    max-width:1350px;

    min-height:500px;

    border-radius:28px;

    overflow:hidden;

    display:grid;

    grid-template-columns:55% 45%;

    background:#fff;

    box-shadow:0 20px 60px rgba(0,0,0,.08);

}

.panel-video{

    width:100%;

    height:500px;

}

.panel-video video{

    width:100%;

    height:100%;

    object-fit:cover;

}

.panel-content{

    padding:60px;

    display:flex;

    flex-direction:column;

    justify-content:center;

}

.panel-content h2{

    font-size:27.2px;

    font-weight:700;

    line-height:1.2;

    margin-bottom:18px;

}

.panel-content p{

    font-size:16px;

    line-height:1.7;

    max-width:420px;

}

.panel-content .about-btn,
.panel-content .service-btn{

    margin-top:35px;

}

/*=====================================
        PORTFOLIO SECTION
======================================*/

.portfolio-section{

    width:100%;
    padding:100px 0;
    background:#fff;

}

.portfolio-container{

    width:92%;
    max-width:1500px;
    margin:auto;

}

/*=====================
        Heading
======================*/

.portfolio-heading{

    text-align:center;
    margin-bottom:60px;

}

.portfolio-heading span{

    font-size:15px;
    font-weight:600;
    letter-spacing:3px;
    color:#4f46e5;
    text-transform:uppercase;

}

.portfolio-heading h2{

    margin-top:15px;
    font-size:48px;
    line-height:1.2;
    font-weight:700;
    color:#111;

}

/*=====================
        FILTER
======================*/

.portfolio-filter{

    display:flex;
    justify-content:center;
    flex-wrap:wrap;
    gap:18px;

    margin-bottom:60px;

}

.portfolio-filter button{

    padding:18px 34px;

    border:1px solid #ddd;

    border-radius:100px;

    background:#fff;

    cursor:pointer;

    font-size:15px;

    font-weight:600;

    transition:.35s;

}

.portfolio-filter button:hover{

    background:#111;

    color:#fff;

}

.portfolio-filter button.active{

    background:#22a8e8;

    color:#fff;

    border-color:#22a8e8;

}

/*=====================
        GRID
======================*/

.portfolio-grid{

    display:grid;

    grid-template-columns:repeat(2,1fr);

    gap:40px;

}

/*=====================
        CARD
======================*/

.portfolio-card{

    background:#000;

    border-radius:22px;

    overflow:hidden;

    transition:.45s;

    opacity:1;

    transform:scale(1);

}

.portfolio-card.hide{

    opacity:0;

    transform:scale(.95);

    pointer-events:none;

}

.portfolio-card img{

    width:100%;

    height:420px;

    object-fit:cover;

    transition:.6s;

    display:block;

}

.portfolio-card:hover img{

    transform:scale(1.06);

}

.portfolio-info{

    padding:28px;

}

.portfolio-info span{

    display:block;

    color:#bcbcbc;

    font-size:15px;

    margin-bottom:15px;

}

.portfolio-info h3{

    font-size:42px;

    color:#fff;

    font-weight:500;

    margin-bottom:18px;

    line-height:1.2;

}

.portfolio-info a{

    display:inline-flex;

    align-items:center;

    gap:10px;

    text-decoration:none;

    color:#22a8e8;

    font-size:18px;

    font-weight:600;

    transition:.3s;

}

.portfolio-info a:hover{

    gap:16px;

}

/*=====================
        RESPONSIVE
======================*/

@media(max-width:1200px){

.portfolio-grid{

grid-template-columns:1fr;

}

}

@media(max-width:768px){

.portfolio-section{

padding:70px 0;

}

.portfolio-heading h2{

font-size:36px;

}

.portfolio-filter{

gap:12px;

}

.portfolio-filter button{

padding:14px 22px;

font-size:14px;

}

.portfolio-card img{

height:260px;

}

.portfolio-info{

padding:20px;

}

.portfolio-info h3{

font-size:28px;

}

.portfolio-info a{

font-size:16px;

}

}

.portfolio-card{

    transition:
    opacity .35s ease,
    transform .35s ease;

}

.trusted-title{
    font-size: 48px;
    font-weight: 700;
    line-height: 1.2;
    color: #111;
    text-align: center;
    margin-bottom: 50px;
    letter-spacing: -1px;
    text-transform: uppercase;
}
/*==========================
      SERVICES DROPDOWN
==========================*/

.service-nav{

    position:relative;
    list-style:none;

}

.service-nav>a{

    display:flex;
    align-items:center;
    gap:6px;

}

/* Dropdown */

.service-dropdown{

    position:fixed;

    top:90px;
    left:0;

    width:100%;

    background:#fff;

    border-top:1px solid #ececec;

    opacity:0;
    visibility:hidden;

    transform:translateY(25px);

    transition:.35s;

    z-index:999;

    box-shadow:0 30px 70px rgba(0,0,0,.08);

}

/* Hover */

.service-nav:hover .service-dropdown{

    opacity:1;
    visibility:visible;

    transform:translateY(0);

}

/* Wrapper */

.service-dropdown-wrap{

    width:1100px;

    margin:auto;

    display:grid;

    grid-template-columns:1fr 1fr;

}

/* Columns */

.service-box{

    padding:55px 60px;

    min-height:470px;

}

.service-box:first-child{

    border-right:1px solid #ededed;

}

/* Number */

.service-count{

    font-size:34px;

    color:#8b8b8b;

    display:block;

    margin-bottom:18px;

}

/* Heading */

.service-box h4{

    font-size:28px;

    font-weight:500;

    margin-bottom:55px;

}

/* Links */

.service-box a{

    display:flex;

    justify-content:space-between;

    align-items:center;

    padding:18px 0;

    text-decoration:none;

    color:#111;

    font-size:21px;

    transition:.35s;

}

.service-box a i{

    opacity:.35;

    transition:.35s;

}

/* Hover */

.service-box a:hover{

    padding-left:10px;

}

.service-box a:hover i{

    opacity:1;

    transform:translateX(8px);

}

/* Mobile */

@media(max-width:991px){

.service-dropdown{

    display:none;

}

}
.portfolio-card{

    background:#000;
    border-radius:30px;
    overflow:hidden;

}

.portfolio-image{

    width:100%;
    height:420px;          /* image area */

    background:#000;

    display:flex;
    justify-content:center;
    align-items:center;

    padding:18px;

    overflow:hidden;

}

.portfolio-image img{

    width:100%;
    height:100%;

    object-fit:contain;    /* IMPORTANT */

    object-position:center;

    display:block;

    transition:.4s;

}

.portfolio-card:hover .portfolio-image img{

    transform:scale(1.03);

}








/*=========================================
        STACK SERVICES
=========================================*/

.stack-services{

    width:100%;
    background:#fff;
    padding:80px 0 150px;
    position:relative;

}

.stack-card{

    width:92%;
    max-width:1700px;
    height:760px;

    margin:0 auto 80px;

    border-radius:35px;

    overflow:hidden;

    display:flex;

    align-items:center;

    justify-content:space-between;

    position:sticky;

    top:90px;

    box-shadow:0 35px 80px rgba(0,0,0,.12);

}

/*=========================
        LEFT
=========================*/

.stack-left{

    width:58%;

    padding:70px;

    display:flex;

    flex-direction:column;

    justify-content:center;

}

.stack-tag{

    font-size:14px;

    letter-spacing:3px;

    font-weight:700;

    text-transform:uppercase;

    margin-bottom:25px;

}

.stack-left h2{

    font-size:72px;

    line-height:1.05;

    margin-bottom:30px;

    font-weight:700;

}

.stack-left p{

    font-size:28px;

    line-height:1.8;

    max-width:780px;

    margin-bottom:45px;

}

/*=========================
        LIST
=========================*/

.stack-list{

    display:flex;

    gap:80px;

    margin-bottom:60px;

}

.stack-list ul{

    list-style:disc;

    padding-left:30px;

}

.stack-list li{

    font-size:26px;

    margin-bottom:20px;

}

/*=========================
        BUTTON
=========================*/

.stack-btn{

    width:max-content;

    padding:22px 40px;

    border-radius:14px;

    text-decoration:none;

    font-size:22px;

    font-weight:600;

    display:flex;

    align-items:center;

    gap:12px;

    transition:.4s;

}

.stack-btn:hover{

    transform:translateY(-6px);

}

/*=========================
        RIGHT
=========================*/

.stack-right{

    width:42%;

    height:100%;

    overflow:hidden;

}

.stack-right img{

    width:100%;

    height:100%;

    object-fit:cover;

    transition:.7s;

}

.stack-card:hover img{

    transform:scale(1.06);

}

/*=========================
        COLORS
=========================*/

.white{

    background:#ffffff;

    color:#111;

}

.white .stack-btn{

    background:#111;

    color:#fff;

}

.purple{

    background:#4f46e5;

    color:#fff;

}

.purple .stack-btn{

    background:#fff;

    color:#111;

}

.yellow{

    background:#ffd633;

    color:#111;

}

.yellow .stack-btn{

    background:#111;

    color:#fff;

}

.orange{

    background:#ff5a1f;

    color:#fff;

}

.orange .stack-btn{

    background:#fff;

    color:#111;

}

/*=========================
        RESPONSIVE
=========================*/

@media(max-width:1200px){

.stack-card{

    flex-direction:column;

    height:auto;

}

.stack-left,
.stack-right{

    width:100%;

}

.stack-right{

    height:500px;

}

.stack-left{

    padding:50px;

}

.stack-left h2{

    font-size:54px;

}

.stack-left p{

    font-size:22px;

}

.stack-list{

    flex-direction:column;

    gap:20px;

}

}

@media(max-width:768px){

.stack-card{

    border-radius:20px;

    margin-bottom:50px;

}

.stack-left{

    padding:30px;

}

.stack-left h2{

    font-size:38px;

}

.stack-left p{

    font-size:18px;

}

.stack-list li{

    font-size:18px;

}

.stack-btn{

    width:100%;

    justify-content:center;

    font-size:18px;

}

.stack-right{

    height:320px;

}

}

/*=========================
        CARD
=========================*/

.stack-card{

    width:92%;
    max-width:1550px;
    height:620px;          /* 760px -> 620px */

    margin:0 auto 70px;

    border-radius:30px;

    display:flex;
    align-items:center;
    justify-content:space-between;

    position:sticky;
    top:90px;

    overflow:hidden;

    box-shadow:0 25px 60px rgba(0,0,0,.12);

}

/*=========================
        LEFT
=========================*/

.stack-left{

    width:48%;             /* Smaller content */
    padding:55px 60px;

}

.stack-tag{

    font-size:13px;
    letter-spacing:2px;
    margin-bottom:18px;

}

.stack-left h2{

    font-size:52px;        /* 72px -> 52px */
    line-height:1.1;
    margin-bottom:20px;

}

.stack-left p{

    font-size:20px;        /* 28px -> 20px */
    line-height:1.7;
    margin-bottom:30px;
    max-width:560px;

}

/*=========================
        LIST
=========================*/

.stack-list{

    display:flex;
    gap:45px;
    margin-bottom:35px;

}

.stack-list li{

    font-size:18px;
    margin-bottom:12px;

}

/*=========================
        BUTTON
=========================*/

.stack-btn{

    padding:16px 28px;
    font-size:18px;
    border-radius:12px;

}

/*=========================
        RIGHT IMAGE
=========================*/

.stack-right{

    width:52%;
    height:100%;
    overflow:hidden;

}

.stack-right img{

    width:100%;
    height:100%;
    object-fit:cover;
    object-position:center;

}
